<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Tiles.Tiles Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Tiles</b></li><li class="navelem"><a class="el" href="classTiles_1_1Tiles.html">Tiles</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classTiles_1_1Tiles-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Tiles.Tiles Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7c85a4a169aad0f10632c14d8ca0c9f2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTiles_1_1Tiles.html#a7c85a4a169aad0f10632c14d8ca0c9f2">__init__</a> (self, <a class="el" href="classTiles_1_1Tiles.html#aadd767127b0dd0107ea2519a34d4404e">tile_type</a>=&quot;grass&quot;, road_directions=[])</td></tr>
<tr class="separator:a7c85a4a169aad0f10632c14d8ca0c9f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a8eb0a7d44006ffe8c1773dae493698"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTiles_1_1Tiles.html#a3a8eb0a7d44006ffe8c1773dae493698">__repr__</a> (self)</td></tr>
<tr class="separator:a3a8eb0a7d44006ffe8c1773dae493698"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aadd767127b0dd0107ea2519a34d4404e"><td class="memItemLeft" align="right" valign="top"><a id="aadd767127b0dd0107ea2519a34d4404e" name="aadd767127b0dd0107ea2519a34d4404e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>tile_type</b></td></tr>
<tr class="memdesc:aadd767127b0dd0107ea2519a34d4404e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tile type. <br /></td></tr>
<tr class="separator:aadd767127b0dd0107ea2519a34d4404e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e7ecbcb393d283567ab30bc9f66b1a9"><td class="memItemLeft" align="right" valign="top"><a id="a9e7ecbcb393d283567ab30bc9f66b1a9" name="a9e7ecbcb393d283567ab30bc9f66b1a9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>road_directions</b></td></tr>
<tr class="memdesc:a9e7ecbcb393d283567ab30bc9f66b1a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Road direction (array) <br /></td></tr>
<tr class="separator:a9e7ecbcb393d283567ab30bc9f66b1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240c5c3f63438346423743a43fd7e1f8"><td class="memItemLeft" align="right" valign="top"><a id="a240c5c3f63438346423743a43fd7e1f8" name="a240c5c3f63438346423743a43fd7e1f8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>traffic_light</b></td></tr>
<tr class="memdesc:a240c5c3f63438346423743a43fd7e1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tile is traffic light? No -&gt; None, Yes -&gt; Traffic light instance. <br /></td></tr>
<tr class="separator:a240c5c3f63438346423743a43fd7e1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68dcae6aa756d3f94773785d83127d08"><td class="memItemLeft" align="right" valign="top"><a id="a68dcae6aa756d3f94773785d83127d08" name="a68dcae6aa756d3f94773785d83127d08"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>spawn_point</b></td></tr>
<tr class="memdesc:a68dcae6aa756d3f94773785d83127d08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is spawn point? True/False. <br /></td></tr>
<tr class="separator:a68dcae6aa756d3f94773785d83127d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5336c45b4cbb4da1acc9c8b22ee768e5"><td class="memItemLeft" align="right" valign="top"><a id="a5336c45b4cbb4da1acc9c8b22ee768e5" name="a5336c45b4cbb4da1acc9c8b22ee768e5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end_point</b></td></tr>
<tr class="memdesc:a5336c45b4cbb4da1acc9c8b22ee768e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is end point? True/False. <br /></td></tr>
<tr class="separator:a5336c45b4cbb4da1acc9c8b22ee768e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b7755b3905fae91b679afa429a9ad38"><td class="memItemLeft" align="right" valign="top"><a id="a9b7755b3905fae91b679afa429a9ad38" name="a9b7755b3905fae91b679afa429a9ad38"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>is_crossing</b></td></tr>
<tr class="memdesc:a9b7755b3905fae91b679afa429a9ad38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is crossing? True/False. <br /></td></tr>
<tr class="separator:a9b7755b3905fae91b679afa429a9ad38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5507d373d2ec05c9dfaa6dfe0a6cade7"><td class="memItemLeft" align="right" valign="top"><a id="a5507d373d2ec05c9dfaa6dfe0a6cade7" name="a5507d373d2ec05c9dfaa6dfe0a6cade7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>is_obstacle</b></td></tr>
<tr class="memdesc:a5507d373d2ec05c9dfaa6dfe0a6cade7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is obstacle? True/False. <br /></td></tr>
<tr class="separator:a5507d373d2ec05c9dfaa6dfe0a6cade7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Class of Tiles.
Tiles is one single block in the map (Road)
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7c85a4a169aad0f10632c14d8ca0c9f2" name="a7c85a4a169aad0f10632c14d8ca0c9f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c85a4a169aad0f10632c14d8ca0c9f2">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Tiles.Tiles.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tile_type</em> = <code>&quot;grass&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>road_directions</em> = <code>[]</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor
@param tile_type Can be grass or street
@param road_directions All possible direction to drive from this tile
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3a8eb0a7d44006ffe8c1773dae493698" name="a3a8eb0a7d44006ffe8c1773dae493698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a8eb0a7d44006ffe8c1773dae493698">&#9670;&nbsp;</a></span>__repr__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Tiles.Tiles.__repr__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">String representation of tile
@return Representation in string
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Tiles.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
